Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

fix(tests): remove low version error assertion from iam conditions system tests #53

Merged
merged 1 commit into from Feb 12, 2020

Conversation

@jkwlui
Copy link
Member

@jkwlui jkwlui commented Feb 12, 2020

Fixes #52

with pytest.raises(
BadRequest, match="cannot be less than the existing policy version"
):
bucket.get_iam_policy()
Copy link
Contributor

@tseaver tseaver Feb 12, 2020

Do we have a definite confirmation that the backend no longer raises this exception under any circumstance?

Copy link
Contributor

@crwilcox crwilcox Feb 12, 2020

We have an internal group with a conversation. Yes.

@crwilcox crwilcox merged commit 8904aee into master Feb 12, 2020
3 checks passed
@tseaver tseaver deleted the fix-iam-version-assertion branch Aug 24, 2021
cojenco added a commit to cojenco/python-storage that referenced this issue Oct 13, 2021
cojenco added a commit to cojenco/python-storage that referenced this issue Oct 13, 2021
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

5 participants